## icedove 31.5.0

=== debian/changelog ===
icedove (31.5.0-1~deb7u1) stable-security; urgency=medium

  * [f0e7673] Imported Upstream version 31.5.0
    - MFSA 2015-11 aka CVE-2015-0836
    - MFSA 2015-16 aka CVE-2015-0831
    - MFSA 2015-19 aka CVE-2015-0827
    - MFSA 2015-24 aka CVE-2015-0822
  * [d2941e9] rebuild patch queue from patch-queue branch
    added patches:
    - iceowl/adjust-calendar-google-provider-to-Google-Calendar-A.patch
      (Closes: #770008)
    - iceowl/get-rid-of-subdir-shim-in-gdata-provider.patch
  * [738a72d] debian/rules: move some gdata modules into 'shim' subdir

 -- Christoph Goehre <chris@sigxcpu.org>  Mon, 02 Mar 2015 21:03:51 -0500

icedove (31.4.0-1~deb7u1) stable-security; urgency=low

  * [e93b49c] Imported Upstream version 31.4.0
    - MFSA 2015-01 aka CVE-2014-8634
    - MFSA 2015-03 aka CVE-2014-8638
    - MFSA 2015-04 aka CVE-2014-8639

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 18 Jan 2015 14:26:55 -0500

icedove (31.3.0-1~deb7u1) stable-security; urgency=low

  [ Carsten Schoenert ]
  * [e7f2141] debian/source.filter: more files to ignore
  * [94a9552] debian/NEWS: fixing default SSL/TLS behavior description
  * [21933ed] debian/NEWS: adding notes around new security changes

  [ Christoph Goehre ]
  * [e2572a7] Imported Upstream version 31.3.0
    - MFSA 2014-83 aka CVE-2014-1587
    - MFSA 2014-85 aka CVE-2014-1590
    - MFSA 2014-87 aka CVE-2014-1592
    - MFSA 2014-88 aka CVE-2014-1593
    - MFSA 2014-89 aka CVE-2014-1594
    - MFSA 2014-90 aka CVE-2014-1595

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 05 Dec 2014 12:57:22 -0500

icedove (31.2.0-1~deb7u1) stable-security; urgency=low

  [ Christoph Goehre ]
  * [ae54a5c] Imported Upstream version 31.2.0
  * [106a703] replace duplicate .so files in icedove and icedove-dev with
    symlinks

  [ Carsten Schoenert ]
  * [7011276] debian/mozconfig.default: changing internal build config
  * [278bb9d] debian/control: removing build depencies due internal build
  * [592ef26] rebuild patch queue from patch-queue branch
    added patches:
    - wheezy-security/sqlite-dev-revert-version-to-3.7.13.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Mon, 27 Oct 2014 20:47:34 -0400

icedove (24.8.1-1~deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * [4ed20ecd] Imported Upstream version 24.8.1
    - MFSA 2014-73 aka CVE-2024-1568
  * debian/patches:
    - stable-security/libnss-tuning-mozilla-security-nss-.def-files updated
      for new release symbol.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 25 Sep 2014 20:38:23 +0200

icedove (24.8.0-1~deb7u1) stable-security; urgency=low

  * [a864274] Imported Upstream version 24.8.0
    - MFSA 2014-67 aka CVE-2014-1562
    - MFSA 2014-72 aka CVE-2014-1567

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 11 Sep 2014 20:35:02 -0400

icedove (24.7.0-1~deb7u1) stable-security; urgency=low

  * [e756d6f] Imported Upstream version 24.7.0
    - MFSA 2014-56 aka CVE-2014-1547
    - MFSA 2014-61 aka CVE-2014-1555
    - MFSA 2014-62 aka CVE-2014-1556
    - MFSA 2014-63 aka CVE-2014-1544
    - MFSA 2014-64 aka CVE-2014-1557
  * [9fef7d3] rebuild patch queue from patch-queue branch
    modified patches:
    - stable-security/libnss-tuning-mozilla-security-nss-.def-files.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 25 Jul 2014 10:34:47 -0400

icedove (24.6.0-1~deb7u1) stable-security; urgency=low

  [ Christoph Goehre ]
  * [a93760d] Imported Upstream version 24.6.0
    - MFSA 2014-48 aka CVE-2014-1533
    - MFSA 2014-49 aka CVE-2014-1538
    - MFSA 2014-52 aka CVE-2014-1541
  * [ce354c4] don't build a shared js library
    (Closes: #724688, #729073, #745593, #749037)
  * [42b435d] icedove.pc: remove non-existent library mozjs (Closes: #748746)
  * [dfbb25e] iceowl-extension: use breaks instead of conflicts against
    calendar-timezones (Closes: #747532)
  * [ddd0d7e] add breaks to enigmail (<< 2:1.6-4~deb7u1) which won't work with
    us (Closes: #747546)

  [ Guido Günther ]
  * [ee5bfe8] Invoke repack.py directly
  * [0cd715a] repack.py: port to python3
  * [bd23d80] repack.py: allow to specify compression

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 12 Jun 2014 20:00:44 -0400

icedove (24.5.0-1~deb7u1) stable-security; urgency=low

  * [460818b] Imported Upstream version 24.5.0
    - MFSA 2014-34 aka CVE-2014-1518
    - MFSA 2014-37 aka CVE-2014-1523
    - MFSA 2014-38 aka CVE-2014-1524
    - MFSA 2014-42 aka CVE-2014-1529
    - MFSA 2014-43 aka CVE-2014-1530
    - MFSA 2014-44 aka CVE-2014-1531
    - MFSA 2014-46 aka CVE-2014-1532
  * [1683aef] debian/NEWS: add incompatibility info for Lightning

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 04 May 2014 11:02:22 -0400

icedove (24.4.0-1~deb7u1) stable-security; urgency=low

  [ Christoph Goehre ]
  * [a2b13c0] Imported Upstream version 24.4.0
  * [8b392ad] rebuild patch queue from patch-queue branch
    added patches:
    - debian-hacks/creating-a-dummy-.deps-directory-to-get-make-happy.patch
    - debian-hacks/remove-non-free-W3C-icon-valid.png.patch
    - debian-hacks/use-system-jquery-jquery-ui.patch
    - porting-hppa/FTBFS-hppa-correcting-code-inside-JS_STACK_GROWTH_DI.patch
    - porting-kfreebsd-hurd/ipc-chromium-fix-if-define-for-kFreeBSD-and-Hurd.patch
    - porting-powerpcspe/FTBFS-Altivec-is-not-available-on-powerpcspe.patch
    - stable-security/libnss-tuning-mozilla-security-nss-.def-files.patch
    - stable-security/sqlite-dev-revert-version-to-3.7.13.patch
    obsolete patches (fixed upstream):
    - debian-hacks/virtualenv-changing-the-path-to-virtualenv.py.patch
    - esr17-backport/Bug-746112-Don-t-decommit-if-page-size-is-too-large.patch
    - esr17-backport/Bug-840242-Use-the-runtime-page-size-to-control-aren.patch
    - fixes/Bug-720682-Don-t-crash-an-app-using-libxul-because-o.patch
    - porting/Bug-814693-Allow-webrtc-to-build-on-more-architectur.patch
    - porting/Don-t-hardcode-page-size-on-ia64-sparc-or-mipsel.patch

