=== debian/control ===
Source: icedove
Section: mail
Priority: optional
Maintainer: Christoph Goehre <chris@sigxcpu.org>
Uploaders: Guido Günther <agx@sigxcpu.org>
Build-Depends: autoconf2.13,
	autotools-dev,
	bzip2,
	debhelper (>= 7.0.50~),
	dpkg-dev (>= 1.16.1~),
	libasound2-dev [linux-any],
	libbz2-dev,
	libcairo2-dev (>= 1.10.2-1.1~),
	libdbus-glib-1-dev (>= 0.60),
	libevent-dev (>= 1.4.1),
	libffi-dev,
	libfontconfig1-dev,
	libglib2.0-dev (>= 2.16.0),
	libgnomeui-dev (>= 2.16),
	libgstreamer-plugins-base0.10-dev,
	libgstreamer0.10-dev,
	libgtk2.0-dev (>= 2.12),
	libhunspell-dev (>= 1.2),
	libidl-dev (>= 0.8.0),
	libiw-dev [linux-any],
	libjs-jquery,
	libjs-jquery-ui,
	libreadline-dev,
	libpulse-dev,
	libsqlite3-dev (>= 3.7.13~),
	libstartup-notification0-dev,
	libxau-dev,
	libxft-dev,
	libxt-dev,
	mesa-common-dev,
	python-minimal (>= 2.6.6-13~),
	python-ply,
	python2.7,
	unzip,
	yasm (>= 1.1),
	zip,
	zlib1g-dev
Vcs-Git: git://anonscm.debian.org/pkg-mozilla/icedove.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozilla/icedove.git;a=summary
Homepage: http://www.mozilla.org/thunderbird/
X-Debian-Homepage: http://wiki.debian.org/Icedove
Standards-Version: 3.9.6

Package: icedove
Architecture: any
Depends: fontconfig, psmisc, debianutils (>= 1.16), ${shlibs:Depends}, ${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary
Suggests: fonts-lyx, libgssapi-krb5-2, ${gnome:Depends}
Provides: mail-reader
Xb-Xul-AppId: {3550f703-e582-4d05-9a08-453d09bdfdc6}
Replaces: icedove-gnome-support (<< 3.0-1~)
Breaks: enigmail (<< 2:1.6-4~deb7u1),
	iceowl-extension (<< ${binary:Version}),
	icedove-gnome-support (<< 3.0-1~),
	hunspell-ar (<< 0.0.0+20080110-1.1),
	hunspell-da (<< 1:3.1.0-3),
	hunspell-de-at (<< 20071211-2), hunspell-de-ch (<< 20071211-2), hunspell-de-de (<< 20071211-2), hunspell-de-med (<< 20090825-1),
	hunspell-en-ca (<< 1:3.1.0-3), hunspell-en-us (<< 20070829-3),
	hunspell-fr (<< 1:3.1.0-3),
	hunspell-gl-es (<< 2.2a-6),
	hunspell-hu (<< 1:3.1.0-3),
	hunspell-ko (<< 0.3.3-1),
	hunspell-ne (<< 1:3.1.0-3),
	hunspell-se (<< 1.0~beta6.20081222-1.1),
	hunspell-sh (<< 1:3.1.0-3),
	hunspell-sr (<< 1:3.1.0-3),
	hunspell-uz (<< 0.6-3.1),
	hunspell-vi (<< 1:3.1.0-3),
	myspell-af (<< 1:3.1.0-3),
	myspell-ca (<< 0.6-8),
	myspell-cs-cz (<< 20040229-4.1),
	myspell-da (<< 1.6.18-1.1),
	myspell-de-at (<< 20071211-2), myspell-de-ch (<< 20071211-2), myspell-de-de (<< 20071211-2), myspell-de-de-oldspell (<< 1:2-25.1),
	myspell-el-gr (<< 0.3-1.1),
	myspell-en-au (<< 2.1-5), myspell-en-gb (<< 1:3.1.0-3), myspell-en-us (<< 1:3.1.0-3), myspell-en-za (<< 1:3.1.0-3),
	myspell-eo (<< 2.1.2000.02.25-41),
	myspell-es (<< 1.10-7),
	myspell-et (<< 1:20030606-12.1),
	myspell-fa (<< 0.20070816-2),
	myspell-fi (<< 0.7-17.2),
	myspell-fo (<< 0.2.36-3),
	myspell-fr (<< 1.4-25), myspell-fr-gut (<< 1:1.0-26.1),
	myspell-ga (<< 2.0-19),
	myspell-gd (<< 0.50-7),
	myspell-gv (<< 0.50-8),
	myspell-hr (<< 20060617-2),
	myspell-hu (<< 0.99.4-1.2),
	myspell-hy (<< 0.10.1-1.1),
	myspell-it (<< 1:3.1.0-3),
	myspell-ku (<< 0.20.0-1.1),
	myspell-lv (<< 0.7.3-3.1),
	myspell-nb (<< 2.0.10-3.1),
	myspell-ne (<< 1.0-4.1),
	myspell-nl (<< 1:1.10-3),
	myspell-nn (<< 2.0.10-3.1),
	myspell-pl (<< 20090830-1),
	myspell-pt-br (<< 2009.03.30-1.1), myspell-pt-pt (<< 20090309-1.1),
	myspell-ru (<< 0.99g5-8.1),
	myspell-sk (<< 0.5.5a-2.1),
	myspell-sv-se (<< 1.3.8-6-2.2),
	myspell-sw (<< 1:3.1.0-3),
	myspell-th (<< 1:3.1.0-3),
	myspell-tl (<< 0.4-0-5)
Description: mail/news client with RSS and integrated spam filter support
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 The goal of Icedove is to produce a cross platform standalone mail application
 using the XUL user interface language.

Package: icedove-dev
Architecture: any
Depends: icedove (= ${binary:Version}),
	${misc:Depends},
	${shlibs:Depends},
	python,
	libnspr4-dev,
	libnss3-dev
Description: Development files for Icedove
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 This package contains the development headers, idl files and static libraries
 needed to develop applications using Icedove.

Package: icedove-dbg
Architecture: any
Priority: extra
Section: debug
Depends: icedove (= ${binary:Version}), ${misc:Depends}
Description: Debug Symbols for Icedove
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 This package contains the debug symbols for Icedove. Install this package if
 you need to debug such a program or if you need a useful backtrace of a crash.

Package: iceowl-extension
Architecture: any
Depends: icedove (>= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends: calendar-google-provider
Suggests: fonts-lyx
Provides: calendar-timezones
Breaks: calendar-timezones
Replaces: calendar-timezones
Description: Calendar Extension for Thunderbird/Icedove
 Iceowl Extension is an unbranded Lightning Calendar extension for Thunderbird/
 Icedove. With Iceowl Extension you can manage your appointments, keep track
 your various calendars, subscribe to public calendars and much more.

Package: calendar-google-provider
Architecture: all
Depends: ${misc:Depends}
Description: Google Calendar support for lightning- and iceowl-extension
 Google Calendar support extension for the Iceowl/Lightning extension. This
 extension adds the Google Calendar web interface as a new tab directly into
 Thunderbird/Icedove. Creating and viewing events works just as it would in
 a browser like Firefox/Iceweasel.
 It's a recommended component if you want to connect to your Google calendar.
