## icedove 31.6.0

=== debian/changelog ===
icedove (31.6.0-1) unstable; urgency=medium

  * [c71fc00] Imported Upstream version 31.6.0
  * [e13a5a1] rebuild patch queue from patch-queue branch
    added patches:
    - porting/ppc-fix-divide-page-size-in-jemalloc.patch (Closes: #780404)

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 01 Apr 2015 18:59:32 -0400

icedove (31.5.0-1) unstable; urgency=low

  * [f0e7673] Imported Upstream version 31.5.0
  * [4bf64fa] rebuild patch queue from patch-queue branch
    modified patches:
    - p-kfree-hurd/FTBFS-hurd-fixing-unsupported-platform-Hurd.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 01 Mar 2015 18:04:13 -0500

icedove (31.4.0-2) unstable; urgency=low

  [ Christoph Goehre ]
  * [305b0fb] debian/icedove.desktop: correct StartupWMClass to 'Icedove'
    (Closes: #773876)
  * [8b4871a] rebuild patch queue from patch-queue branch
    added patches:
    - iceowl/adjust-calendar-google-provider-to-Google-Calendar-A.patch
      (Closes: #770008)
    - iceowl/get-rid-of-subdir-shim-in-gdata-provider.patch
    modified patches:
    - p-kfree-hurd/FTBFS-hurd-adding-GNU-Hurd-to-the-list-of-OS-systems.patch
    - p-kfree-hurd/FTBFS-hurd-adding-the-HURD-platform-to-the-configure.patch
    - p-kfree-hurd/FTBFS-hurd-fixing-unsupported-platform-Hurd.patch
    - p-kfree-hurd/LDAP-support-building-on-GNU-kFreeBSD-and-GNU-Hurd.patch
    - p-kfree-hurd/correcting-file-inclusion-for-kfreebsd-and-hurd.patch
  * [573c8bb] debian/rules: move some gdata modules into 'shim' subdir
  * [acf83d3] debian/icedove.desktop: add MimeType text/calendar
    (Closes: #762190)

  [ Carsten Schoenert ]
  * [cf73d7e] debian/README.Debian: adding note around HTTPS Everythere
    (Closes: #774790)

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 24 Jan 2015 19:03:28 -0500

icedove (31.4.0-1) unstable; urgency=low

  [ Carsten Schoenert ]
  * [c993970] rebuild patch queue from patch-queue branch
    added patches:
    - porting-kfreebsd-hurd/FTBFS-hurd-adding-the-HURD-platform-to-the-c.patch
    - porting-powerpcspe/FTBFS-powerpcspe-disable-AltiVec-instructions.patch
      (Closes: #772933)
    modified patches:
    - porting-kfreebsd-hurd/FTBFS-hurd-adding-GNU-Hurd-to-the-list-of-OS.patch

  [ Christoph Goehre ]
  * [e93b49c] Imported Upstream version 31.4.0

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 16 Jan 2015 18:44:57 -0500

icedove (31.3.0-1) unstable; urgency=low

  [ Carsten Schoenert ]
  * [679d70d] debian/source.filter: more files to ignore
  * [054b68a] debian/NEWS: fixing default SSL/TLS behavior description.
  * [b5acb03] debian/NEWS: adding notes around new security changes.

  [ Christoph Goehre ]
  * [e2572a7] Imported Upstream version 31.3.0
  * [10ce820] rebuild patch queue from patch-queue branch
    added patches:
    - debian/patches/FTBFS-armhf-fixing-ARM-CPU-detection.patch
    - debian/patches/fixing-various-FTBFS-due-different-datatype-char-beh.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 04 Dec 2014 12:57:59 -0500

icedove (31.2.0-1) unstable; urgency=low

  * [ae54a5c] Imported Upstream version 31.2.0
  * [915864d] debian/NEWS: adding note around increased default TLS version 1.2
    (Closes: #761245)

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 23 Oct 2014 12:28:16 -0400

icedove (31.1.2-1) unstable; urgency=low

  [ Christoph Goehre ]
  * [ebaaee5] adjust gbp.conf to use upstream branch 'upstream-31.x'
  * [a041f0b] Imported Upstream version 31.1.2
  * [1daecd9] rebuild patch queue from patch-queue branch
    modified patches:
    - porting-kfreebsd-hurd/FTBFS-hurd-adding-GNU-Hurd-to-the-list-of-OS-systems.patch
    obsolete patches (fixed upstream):
    - porting-armel/FTBFS-armel-fixing-usage-int-on-ARM-audio-backend.patch
    - porting-armel/fix-skia-for-ARMv4.patch
  * [066505b] linitan: bump up standards version to 3.9.6

  [ Carsten Schoenert ]
  * [d17bf45] debian/gbp.conf: some instructions for git-dch
  * [0139cb2] README.source: let's use xz while creating the orig.tar.xz

 -- Christoph Goehre <chris@sigxcpu.org>  Fri, 10 Oct 2014 19:55:54 -0400

icedove (31.0-3) unstable; urgency=medium

  * [65ad797] icedove.postinst: remove obsolete symlink handling
    (Closes: #759502, #760012)
  * [e2b5f63] rebuild patch queue from patch-queue branch
    added patches:
    - debian-hacks/pass-OS_LDFLAGS-to-all-ldap-libraries.patch
    - porting-armel/FTBFS-armel-fixing-usage-int-on-ARM-audio-backend.patch
    modified patches:
    - porting-alpha/fix-FTBFS-on-alpha.patch

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 31 Aug 2014 16:30:57 -0700

icedove (31.0-2) unstable; urgency=low

  [ Carsten Schoenert ]
  * [d2bc0ef] armel: correcting #if statement for skia fix
  * [959b801] adding GNU/Hurd to gyp.mozbuild
  * [215bc7d] kfreebsd*: adding CrossProcessMutex_posix.cpp to list
  * [892c39c] d/icedove.links: remove unneeded link to /u/s/i/e
    (Closes: #638489)
  * [928158c] debian/source.filter: more files to ignore
  * [b81c238] fixing lintian warning 'unused-override'
  * [7bc2568] fixing lintian warning 'jar-not-in-usr-share'
  * [cd0d289] fixing lintian warning 'image-file-in-usr-lib'
  * [045a960] fixing lintian error 'source-is-missing'
  * [1fe016a] correcting FTBFS patch for alpha

  [ Christoph Goehre ]
  * [c827d81] iceowl-extension: replace skin and icon dir with symlink

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 23 Aug 2014 18:42:23 -0700

icedove (31.0-1) unstable; urgency=low

  [ Carsten Schoenert ]
  * [b7cdeb4] Imported Upstream version 31.0 (Closes: #756769)
  * [1f2ff0b] debian/rules: fixing file permissions in iceowl-extension
  * [c8d2036] adding fix for skia on armel
  * [77093e2] fixing FTBFS on armel (Closes: #754633)
  * [a458959] debian/control: increase b-d on libsqlite-dev
  * [a98ebca] fix runtime error on alpha while jemalloc run
  * [6f6b576] disable optimization on alpha while linking

 -- Christoph Goehre <chris@sigxcpu.org>  Mon, 04 Aug 2014 10:23:09 -0400

icedove (31.0~b2-1) unstable; urgency=low

  [ Carsten Schoenert ]

