=== debian/control ===
--- 
+++ 
@@ -25,10 +25,13 @@
 	libiw-dev [linux-any],
 	libjs-jquery,
 	libjs-jquery-ui,
+	libnspr4-dev (>= 2:4.10.3~),
+	libnss3-dev (>= 3.16.2~),
 	libreadline-dev,
 	libpulse-dev,
-	libsqlite3-dev (>= 3.7.13~),
+	libsqlite3-dev (>= 3.8.4~),
 	libstartup-notification0-dev,
+	libvpx-dev (>= 1.3.0),
 	libxau-dev,
 	libxft-dev,
 	libxt-dev,
