## icedove 31.8.0

=== debian/changelog ===
icedove (31.8.0-1~deb8u1) stable-security; urgency=medium

  * [d427fea] Imported Upstream version 31.8.0
    - MFSA 2015-59 aka CVE-2015-2724
    - MFSA 2015-66 aka CVE-2015-2734, CVE-2015-2735, CVE-2015-2736,
      CVE-2015-2737, CVE-2015-2738, CVE-2015-2739, CVE-2015-2740
    - MFSA 2015-70 aka CVE-2015-4000
    - MFSA 2015-71 aka CVE-2015-2721
  * [6516780] lintian: add override for libpng
  * [1c33ec2] build against internal libnss3

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 30 Jul 2015 10:28:32 -0400

icedove (31.7.0-1~deb8u1) stable-security; urgency=medium

  * [c3c81df] Imported Upstream version 31.7.0
    - MFSA 2015-46 aka CVE-2015-2708
    - MFSA 2015-47 aka CVE-2015-0797
    - MFSA 2015-48 aka CVE-2015-2710
    - MFSA 2015-51 aka CVE-2015-2713
    - MFSA 2015-54 aka CVE-2015-2716
  * [eb8cb5a] adjust gbp.conf for jessie-security branch

 -- Christoph Goehre <chris@sigxcpu.org>  Mon, 18 May 2015 18:42:47 -0400
