=== debian/control ===
--- 
+++ 
@@ -26,7 +26,6 @@
 	libjs-jquery,
 	libjs-jquery-ui,
 	libnspr4-dev (>= 2:4.10.3~),
-	libnss3-dev (>= 3.16.2~),
 	libreadline-dev,
 	libpulse-dev,
 	libsqlite3-dev (>= 3.8.4~),
