=== debian/rules ===
--- 
+++ 
@@ -136,6 +136,10 @@
 	# remove duplicate .so files in dev package
 	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libmozalloc.so
 	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libxul.so
+	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libnss3.so
+	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libnssutil3.so
+	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libsmime3.so
+	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libssl3.so
 
 override_dh_fixperms:
 	dh_fixperms
@@ -154,7 +158,3 @@
 	LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib/icedove dpkg-shlibdeps \
 		-Tdebian/icedove.substvars \
 		-dDepends \
-		-pgnome $(foreach lib,dbusservice mozgnome,debian/icedove/usr/lib/icedove/components/lib$(lib).so)
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
