## icedove 31.8.0-1~deb7u1+7.0trisquel2

=== debian/changelog ===
icedove (31.8.0-1~deb7u1+7.0trisquel2) belenos; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 05 Aug 2015 21:11:48 +0000

icedove (31.8.0-1~deb7u1) oldstable-security; urgency=medium

  * [d427fea] Imported Upstream version 31.8.0
    - MFSA 2015-59 aka CVE-2015-2724
    - MFSA 2015-66 aka CVE-2015-2734, CVE-2015-2735, CVE-2015-2736,
      CVE-2015-2737, CVE-2015-2738, CVE-2015-2739, CVE-2015-2740
    - MFSA 2015-70 aka CVE-2015-4000
    - MFSA 2015-71 aka CVE-2015-2721
  * [a906439] lintian: add override for libpng

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 29 Jul 2015 19:24:48 -0400

icedove (31.7.0-1~deb7u1) oldstable-security; urgency=medium

  * [c3c81df] Imported Upstream version 31.7.0
    - MFSA 2015-46 aka CVE-2015-2708
    - MFSA 2015-47 aka CVE-2015-0797
    - MFSA 2015-48 aka CVE-2015-2710
    - MFSA 2015-51 aka CVE-2015-2713
    - MFSA 2015-54 aka CVE-2015-2716

 -- Christoph Goehre <chris@sigxcpu.org>  Mon, 18 May 2015 14:30:45 -0400

icedove (31.6.0-1~deb7u1) stable-security; urgency=medium

  * [c71fc00] Imported Upstream version 31.6.0
    - MFSA 2015-30 aka CVE-2015-0815
    - MFSA 2015-31 aka CVE-2015-0813
    - MFSA 2015-33 aka CVE-2015-0816
    - MFSA 2015-37 aka CVE-2015-0807
    - MFSA 2015-40 aka CVE-2015-0801

 -- Christoph Goehre <chris@sigxcpu.org>  Wed, 01 Apr 2015 20:30:57 -0400
