=== debian/control ===
--- 
+++ 
@@ -25,12 +25,10 @@
 	libiw-dev [linux-any],
 	libjs-jquery,
 	libjs-jquery-ui,
-	libnspr4-dev (>= 2:4.10.3~),
 	libreadline-dev,
 	libpulse-dev,
-	libsqlite3-dev (>= 3.8.4~),
+	libsqlite3-dev (>= 3.7.13~),
 	libstartup-notification0-dev,
-	libvpx-dev (>= 1.3.0),
 	libxau-dev,
 	libxft-dev,
 	libxt-dev,
@@ -53,7 +51,7 @@
 Depends: fontconfig, psmisc, debianutils (>= 1.16), ${shlibs:Depends}, ${misc:Depends}
 Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary
 Suggests: fonts-lyx, libgssapi-krb5-2, ${gnome:Depends}
-Provides: mail-reader
+Provides: mail-reader, thunderbird
 Xb-Xul-AppId: {3550f703-e582-4d05-9a08-453d09bdfdc6}
 Replaces: icedove-gnome-support (<< 3.0-1~)
 Breaks: enigmail (<< 2:1.6-4~deb7u1),
