## icedove 38.7.0

=== debian/changelog ===
icedove (38.7.0-1~deb7u1) oldstable-security; urgency=medium

  * [cb9c003] Imported Upstream version 38.7.0
    - MFSA 2016-16 aka CVE-2016-1952
    - MFSA 2016-17 aka CVE-2016-1954
    - MFSA 2016-20 aka CVE-2016-1957
    - MFSA 2016-23 aka CVE-2016-1960
    - MFSA 2016-24 aka CVE-2016-1961
    - MFSA 2016-27 aka CVE-2016-1964
    - MFSA 2016-31 aka CVE-2016-1966
    - MFSA 2016-34 aka CVE-2016-1974
    - MFSA 2016-35 aka CVE-2016-1950
    - MFSA 2016-37 aka CVE-2016-1977, CVE-2016-2790, CVE-2016-2791,
      CVE-2016-2792, CVE-2016-2793, CVE-2016-2794, CVE-2016-2795,
      CVE-2016-2796, CVE-2016-2797, CVE-2016-2798, CVE-2016-2799,
      CVE-2016-2800, CVE-2016-2801, CVE-2016-2802

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 17 Mar 2016 13:04:30 +0100

icedove (38.6.0-1~deb7u1) oldstable-security; urgency=medium

  * [988ce5b] Imported Upstream version 38.6.0
    - MFSA 2015-150 aka CVE-2015-7575
    - MFSA 2016-01 aka CVE-2016-1930
    - MFSA 2016-03 aka CVE-2016-1935
    - MFSA 2016-14 aka CVE-2016-1523

 -- Christoph Goehre <chris@sigxcpu.org>  Thu, 18 Feb 2016 14:55:38 -0500

icedove (38.5.0-1~deb7u1) oldstable-security; urgency=medium

  * [6d45b0b] Imported Upstream version 38.5.0
    - MFSA 2015-134 aka CVE-2015-7201
    - MFSA 2015-139 aka CVE-2015-7212
    - MFSA 2015-145 aka CVE-2015-7205
    - MFSA 2015-146 aka CVE-2015-7213
    - MFSA 2015-149 aka CVE-2015-7214

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 26 Dec 2015 18:09:59 -0500

icedove (38.4.0-1~deb7u1) oldstable-security; urgency=medium

  * [754392e] Imported Upstream version 38.4.0
    - MFSA 2015-116 aka CVE-2015-4513
    - MFSA 2015-122 aka CVE-2015-7188
    - MFSA 2015-123 aka CVE-2015-7189
    - MFSA 2015-127 aka CVE-2015-7193
    - MFSA 2015-128 aka CVE-2015-7194
    - MFSA 2015-131 aka CVE-2015-7198, CVE-2015-7199, CVE-2015-7200
    - MFSA 2015-132 aka CVE-2015-7197
    - MFSA 2015-133 aka CVE-2015-7181, CVE-2015-7182, CVE-2015-7183
  * [2a139f9] debian/rules: build with gcc 4.7

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 28 Nov 2015 16:21:31 -0500

icedove (38.3.0-1~deb7u1) oldstable-security; urgency=medium

  [ Carsten Schoenert ]
  * [0f8b6a4] Imported Upstream version 38.3.0
  * [911052d] rebuild patch queue from patch-queue branch
    added patches:
    - debian-hacks/changing-the-default-search-engine.patch
    - debian-hacks/fix-identification-of-ObjdirMismatchException.patch
    - fixes/Bug-1165654-Cleanup-how-libjpeg-turbo-assembly-build.patch
    - fixes/Bug-1168231-Fixup-to-keep-file-type.patch
    - fixes/Bug-1168231-Normalize-file-mode-in-jars.patch
    - p-kfree-hurd/FTBFS-hurd-adding-the-HURD-platform-to-the-configure.patch
    - porting-powerpcspe/FTBFS-powerpcspe-disable-AltiVec-instructions.patch
    - porting/Remove-duplicate-SkDiscardableMemory_none.cpp-from-g.patch
    - porting/ppc-fix-divide-page-size-in-jemalloc.patch
    - reproducible/Bug-1166243-Remove-build-function-from-js-and-xpc-sh.patch
    - reproducible/Bug-1168316-Remove-build-machine-name-from-about-bui.patch
    - reproducible/generate-sorted-output-while-header-creation.patch
    - porting-mips/Fix-build-error-in-MIPS-SIMD-when-compiling-with-mfp.patch
    modified patches:
    - debian-hacks/remove-non-free-W3C-icon-valid.png.patch
    - p-kfree-hurd/ipc-chromium-fix-if-define-for-kFreeBSD-and-Hurd.patch
    - wheezy-security/sqlite-dev-revert-version-to-3.7.13.patch
    deleted patches:
    - fixes/Include-cstdlib-in-gfx-angle-src-compiler-Types.h-fo.patch
    - iceowl/adjust-calendar-google-provider-to-Google-Calendar-A.patch
    - iceowl/get-rid-of-subdir-shim-in-gdata-provider.patch
    - porting-armel/disable-some-libopus-feature-for-ARCH-ARMv6.patch
  * [590a0df] Revert "debian/rules: move some gdata modules into 'shim'
    subdir"
  * [9b0e68b] lintian: adding one more source override
  * [f914904] lintian: adding new override for the icedove package
  * [63bd065] icedove branding: adopt upstream changes
  * [b2d897c] debian/control: adding new package to Breaks field
  * [2113754] mozconfig.default: adding some explicit configure options
  * [b1ae394] complete rewrite of copyright information
  * [98a5a00] debian/rules: setting MOZ_BUILD_DATE explicitly
  * [c1e3dae] debian/copyright: more minor updates to the copyright file
  * [bddd498] debian/rules: adding switch for no icedove-dbg build
  * [68981d0] debian/control: icedove is now recommending iceowl-extension
  * [5c9665c] adding release related information
  * [1e683cd] debian/vendor.js: adjusting WhatNew link to more dedicated URL
  * [1e449ff] mozconfig.default: don't use icu from system
  * [18160f3] debian/iceowl-extension.lintian-overrides: remove file
  * [76d32d8] debian/source.lintian-overrides: adding new entries
  * [48c6c84] debian/icedove-dev.links: adding some extra links
  * [fb1f375] debian/icedove.lintian-overrides: adding more overrides
  * [10d441d] debian/mozconfig.default: order arch in alphabetical order
  * [b600d0a] debian/copyright: fixup's and update
  * [e72dc60] debian/source.filter: adopt filter list from master
  * [96ec240] debian/rules: be more flexible on *.xpi files

  [ Christoph Goehre ]
  * [f3764f5] debian/NEWS: adding notes around new security changes
  * [65d5220] debian/rules: fix icedove-dbg build switch
  * [27d8f5f] lintian: fix spelling error in debian/README.Debian
  * [64c635a] Add unminified jquery and jquery-ui files (Closes: #802281)

  [ Dominik George ]
  * [bb837cd] debian/control: Upgrade Breaks relation to enigmail
    (Closes: #782686)

 -- Christoph Goehre <chris@sigxcpu.org>  Tue, 24 Nov 2015 21:03:11 -0500
