=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
 	bzip2,
 	debhelper (>= 7.0.50~),
 	dpkg-dev (>= 1.16.1~),
+	gcc-4.7,
+	g++-4.7,
 	libasound2-dev [linux-any],
 	libbz2-dev,
 	libcairo2-dev (>= 1.10.2-1.1~),
@@ -23,8 +25,6 @@
 	libhunspell-dev (>= 1.2),
 	libidl-dev (>= 0.8.0),
 	libiw-dev [linux-any],
-	libjs-jquery,
-	libjs-jquery-ui,
 	libreadline-dev,
 	libpulse-dev,
 	libsqlite3-dev (>= 3.7.13~),
@@ -49,12 +49,12 @@
 Package: icedove
 Architecture: any
 Depends: fontconfig, psmisc, debianutils (>= 1.16), ${shlibs:Depends}, ${misc:Depends}
-Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary
+Recommends: iceowl-extension (= ${binary:Version}), myspell-en-us | hunspell-dictionary | myspell-dictionary
 Suggests: fonts-lyx, libgssapi-krb5-2, ${gnome:Depends}
-Provides: mail-reader, thunderbird
+Provides: mail-reader
 Xb-Xul-AppId: {3550f703-e582-4d05-9a08-453d09bdfdc6}
 Replaces: icedove-gnome-support (<< 3.0-1~)
-Breaks: enigmail (<< 2:1.6-4~deb7u1),
+Breaks: enigmail (<< 2:1.8),
 	iceowl-extension (<< ${binary:Version}),
 	icedove-gnome-support (<< 3.0-1~),
 	hunspell-ar (<< 0.0.0+20080110-1.1),
@@ -105,7 +105,8 @@
 	myspell-sv-se (<< 1.3.8-6-2.2),
 	myspell-sw (<< 1:3.1.0-3),
 	myspell-th (<< 1:3.1.0-3),
-	myspell-tl (<< 0.4-0-5)
+	myspell-tl (<< 0.4-0-5),
+	xul-ext-compactheader (<< 2.1.0~)
 Description: mail/news client with RSS and integrated spam filter support
  Icedove is an unbranded Thunderbird mail client suitable for free
  distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
