=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,14 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
+
+# checking the release type, if $(RELEASE)=UNRELEASED we won't build
+# the icedove-dbg package
+RELEASE := $(shell head -1 debian/changelog | cut -d" " -f3 | tr -d ';')
 
 BRANDING_DIR_ICEDOVE := mail/branding/icedove
-MODDIR := debian/calendar-google-provider/usr/share/xul-ext/calendar-google-provider/modules
 
 ICEDOVE_VERSION=$(shell tail -1 mail/config/version.txt)
 DEB_AUTO_UPDATE_AUTOCONF=2.13
@@ -31,8 +38,11 @@
 # Also add execution time and memory usage stats in the logs
 LDFLAGS += -Wl,--stats
 
+export MOZ_BUILD_DATE := $(shell TZ=UTC date -d "$(shell dpkg-parsechangelog | grep '^Date:' | cut -c 7-)" +%Y%m%d%H%M%S)
 export MOZCONFIG=$(shell pwd)/mozconfig.icedove
 export MOZILLA_OFFICIAL=1
+export CC := gcc-4.7
+export CXX := g++-4.7
 
 %:
 	dh $@
@@ -62,9 +72,6 @@
 	cp debian/app-icons/icedove48.png  $(BRANDING_DIR_ICEDOVE)/content/icon48.png
 	cp debian/app-icons/icedove64.png  $(BRANDING_DIR_ICEDOVE)/content/icon64.png
 	cp debian/preview.png mail/themes/linux/mail/preview.png
-	# copy needed jquery things (previous cleaned for Debian DFSG)
-	cp /usr/share/javascript/jquery/jquery.min.js mail/jquery/
-	cp /usr/share/javascript/jquery-ui/jquery-ui.min.js mail/jquery/
 	# copy the mozconfig files
 	cp debian/mozconfig.* .
 	cp debian/mozconfig.default mozilla/
@@ -85,8 +92,8 @@
 	# adjust Icedove version in pkg-config file
 	sed -i 's/@Version@/$(ICEDOVE_VERSION)/' debian/icedove-dev/usr/lib/pkgconfig/icedove.pc
 	# prepare iceowl-extension
-	cd debian/iceowl-extension/usr/lib/iceowl-extension/ &&\
-		unzip $(CURDIR)/obj-icedove/mozilla/dist/xpi-stage/lightning*.xpi
+	LIGHTNING=`find -type f -name "lightning*.xpi"` &&\
+		unzip -d debian/iceowl-extension/usr/lib/iceowl-extension/ $(CURDIR)/$$LIGHTNING
 	# remove executable rights on *.js, *.png, *.xul files
 	find debian/iceowl-extension/ -type f -name "*.js"  -exec chmod 644 {} \;
 	find debian/iceowl-extension/ -type f -name "*.png" -exec chmod 644 {} \;
@@ -101,19 +108,11 @@
 	@for i in `find debian/iceowl-extension/ -name ".mkdir.done*"`; do echo remove $$i && rm $$i; done
 	# prepare calendar-google-provider
 	mkdir -p debian/calendar-google-provider/usr/share/xul-ext/calendar-google-provider/
-	cd debian/calendar-google-provider/usr/share/xul-ext/calendar-google-provider/ && \
-		unzip $(CURDIR)/obj-icedove/mozilla/dist/xpi-stage/gdata-provider*.xpi
+	GDATA_PROVIDER=`find -type f -name "gdata-provider*.xpi"` &&\
+		unzip -d debian/calendar-google-provider/usr/share/xul-ext/calendar-google-provider/ $(CURDIR)/$$GDATA_PROVIDER
 	# sometimes there are temporary build files in calendoar-google-provider
 	@echo "    --> searching for temporary build files in 'calendar-google-provider' ..."
 	@for i in `find debian/calendar-google-provider/ -name ".mkdir.done*"`; do echo remove $$i && rm $$i; done
-	mkdir $(MODDIR)/shim
-	mv $(MODDIR)/Calendar.jsm $(MODDIR)/shim/
-	mv $(MODDIR)/Http.jsm $(MODDIR)/shim/
-	mv $(MODDIR)/Loader.jsm $(MODDIR)/shim/
-	mv $(MODDIR)/Preferences.jsm $(MODDIR)/shim/
-	mv $(MODDIR)/Promise.jsm $(MODDIR)/shim/
-	mv $(MODDIR)/Task.jsm $(MODDIR)/shim/
-	mv $(MODDIR)/Timer.jsm $(MODDIR)/shim/
 	# install Icedove menu icon
 	install -d -m 755 debian/icedove/usr/share/pixmaps/
 	install -m 644 debian/icedove.xpm debian/icedove/usr/share/pixmaps/
@@ -136,8 +135,11 @@
 	# remove duplicate .so files in dev package
 	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libmozalloc.so
 	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libxul.so
+	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libnspr4.so
 	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libnss3.so
 	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libnssutil3.so
+	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libplc4.so
+	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libplds4.so
 	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libsmime3.so
 	rm debian/icedove-dev/usr/lib/icedove-devel/sdk/lib/libssl3.so
 
@@ -151,10 +153,11 @@
 	chmod 0755 debian/icedove-dev/usr/lib/icedove-devel/sdk/bin/xpt.py
 
 override_dh_strip:
-	dh_strip --dbg-package=icedove-dbg
+	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
+		dh_strip --dbg-package=icedove-dbg ;\
+	else \
+		dh_strip ;\
+	fi
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/icedove -Xlibmozgnome -Xlibdbusservice
-	LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib/icedove dpkg-shlibdeps \
-		-Tdebian/icedove.substvars \
-		-dDepends \
